<template>
    <div class="gray-bg">
        <div class="loginColumns animated fadeInDown">
            <div class="row">

                <div class="col-md-6">
                    <p>
                        <img src="/images/logo-upinsoft.png" class="img-logo" alt="logo" title="Logo Upinsoft">
                    </p>

                    <h2 class="font-bold text-center">Gestão Comercial</h2>

                    <p>Seja bem vindo(a) ao melhor sistema de gestão comercial! Simples, rápido e facil.</p>
                    <p>Organize seus clientes;</p>
                    <p>Tire suas notas fiscais com facilidade;</p>

                </div>
                <div class="col-md-6">
                    <div class="ibox-content">
                        <form class="m-t" role="form" @submit.prevent="login">
                            <div class="form-group" :class="{'has-error': error}">
                                <input type="email" class="form-control"
                                       placeholder="Email" v-model="formData.email">
                            </div>
                            <div class="form-group" :class="{'has-error': error}">
                                <input type="password" class="form-control"
                                       placeholder="Senha" v-model="formData.password">
                            </div>
                            <button type="submit" class="btn btn-primary block full-width m-b" :disabled="isBtnPreload">
                                <i v-if="isBtnPreload" class="fa fa-circle-o-notch fa-spin"></i> Login
                            </button>

                            <a href="#">
                                <small>Esqueceu a senha?</small>
                            </a>

                            <p class="text-muted text-center">
                                <small>Ainda não possui uma conta? 123</small>
                            </p>
                            <a class="btn btn-sm btn-white btn-block" href="register.html">Criar uma conta</a>
                        </form>
                        <p class="m-t text-center">
                            <small>
                                Tela de acesso ao sistema Gestão Comercial
                                <i class="fa fa-lock"></i>
                            </small>
                        </p>
                    </div>
                </div>
            </div>
            <hr/>
            <div class="row">
                <div class="col-md-6">
                    Copyright Upinsoft Sistemas Web
                </div>
                <div class="col-md-6 text-right">
                    <small>© 2018</small>
                </div>
            </div>
        </div>

    </div>
</template>

<script>
    export default {
        data() {
            return {
                error: false,
                formData: {
                    email: '',
                    password: ''
                }
            }
        },

        methods: {
            login() {
                this.$store.dispatch('login', this.formData)
                    .then(() => window.location.href = '/')
                    .catch(() => {
                        this.error = true
                        this.$snotify.error('Usuário ou senha inválidos!', 'Falha ao logar')
                    })
            }
        },

        computed: {
            isBtnPreload() {
                return this.$store.state.preload.btnLoading
            }
        }
    }
</script>

<style scoped>
    .img-logo {
        max-width: 160px;
    }
</style>